Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application6
Class ApplicationTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.application6.ApplicationTypeImpl<T>

All Implemented Interfaces:
  ApplicationType<T>, org.jboss.shrinkwrap.descriptor.api.Child<T>

    public class ApplicationTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ApplicationType<T>

This class implements the `applicationType` xsd type

Original Documentation:

The applicationType defines the structure of the
application.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ApplicationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ApplicationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`DataSourceType<ApplicationType<T>>` | `dataSource()` Returns the `data-source` element
`EjbLocalRefType<ApplicationType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ApplicationType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<ApplicationType<T>>` | `envEntry()` Returns the `env-entry` element
`java.lang.String` | `getApplicationName()` Returns the `application-name` element
`java.util.List<DataSourceType<ApplicationType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<ApplicationType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<ApplicationType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<ApplicationType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<IconType<ApplicationType<T>>>` | `getIconList()` Returns all `icon` elements
`GenericBooleanType` | `getInitializeInOrder()` Returns the `initialize-in-order` element
`java.lang.String` | `getInitializeInOrderAsString()` Returns the `initialize-in-order` element
`java.lang.String` | `getLibraryDirectory()` Returns the `library-directory` element
`java.util.List<MessageDestinationType<ApplicationType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<ApplicationType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<ModuleType<ApplicationType<T>>>` | `getModuleList()` Returns all `module` elements
`java.util.List<PersistenceContextRefType<ApplicationType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<ApplicationType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<ResourceEnvRefType<ApplicationType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ApplicationType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleType<ApplicationType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<ApplicationType<T>>` | `icon()` Returns the `icon` element
`MessageDestinationType<ApplicationType<T>>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<ApplicationType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`ModuleType<ApplicationType<T>>` | `module()` Returns the `module` element
`PersistenceContextRefType<ApplicationType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<ApplicationType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`ApplicationType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`ApplicationType<T>` | `removeAllDescription()` Removes the `description` element
`ApplicationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ApplicationType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ApplicationType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ApplicationType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`ApplicationType<T>` | `removeAllIcon()` Removes all `icon` elements
`ApplicationType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`ApplicationType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ApplicationType<T>` | `removeAllModule()` Removes all `module` elements
`ApplicationType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`ApplicationType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`ApplicationType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ApplicationType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ApplicationType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`ApplicationType<T>` | `removeApplicationName()` Removes the `application-name` element
`ApplicationType<T>` | `removeLibraryDirectory()` Removes the `library-directory` element
`ApplicationType<T>` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<ApplicationType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ApplicationType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityRoleType<ApplicationType<T>>` | `securityRole()` Returns the `security-role` element
`ApplicationType<T>` | `setApplicationName(java.lang.String applicationName)` If not already created, a new `application-name` element with the given value will be created.
`ApplicationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ApplicationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ApplicationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ApplicationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ApplicationType<T>` | `setInitializeInOrder(GenericBooleanType initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`ApplicationType<T>` | `setInitializeInOrder(java.lang.String initializeInOrder)` If not already created, a new `initialize-in-order` element with the given value will be created.
`ApplicationType<T>` | `setLibraryDirectory(java.lang.String libraryDirectory)` If not already created, a new `library-directory` element with the given value will be created.
`ApplicationType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTypeImpl

    public ApplicationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### ApplicationTypeImpl

    public ApplicationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ApplicationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### setDescriptionList

    public ApplicationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ApplicationType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDescription

    public ApplicationType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ApplicationType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ApplicationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### setDisplayNameList

    public ApplicationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ApplicationType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ApplicationType`

### removeAllDisplayName

    public ApplicationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ApplicationType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ApplicationType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### icon

    public IconType<ApplicationType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ApplicationType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ApplicationType<T>`
  Returns:
    list of `icon`

### setApplicationName

    public ApplicationType<T> setApplicationName(java.lang.String applicationName)

  If not already created, a new `application-name` element with the given value will be created. Otherwise, the existing `application-name` element will be updated with the given value.

  Specified by:
    `setApplicationName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### removeApplicationName

    public ApplicationType<T> removeApplicationName()

  Removes the `application-name` element

  Specified by:
    `removeApplicationName` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getApplicationName

    public java.lang.String getApplicationName()

  Returns the `application-name` element

  Specified by:
    `getApplicationName` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `application-name`

### setInitializeInOrder

    public ApplicationType<T> setInitializeInOrder(GenericBooleanType initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Specified by:
    `setInitializeInOrder` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### setInitializeInOrder

    public ApplicationType<T> setInitializeInOrder(java.lang.String initializeInOrder)

  If not already created, a new `initialize-in-order` element with the given value will be created. Otherwise, the existing `initialize-in-order` element will be updated with the given value.

  Specified by:
    `setInitializeInOrder` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getInitializeInOrder

    public GenericBooleanType getInitializeInOrder()

  Returns the `initialize-in-order` element

  Specified by:
    `getInitializeInOrder` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `initialize-in-order`

### getInitializeInOrderAsString

    public java.lang.String getInitializeInOrderAsString()

  Returns the `initialize-in-order` element

  Specified by:
    `getInitializeInOrderAsString` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `initialize-in-order`

### removeAllModule

    public ApplicationType<T> removeAllModule()

  Removes all `module` elements

  Specified by:
    `removeAllModule` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### module

    public ModuleType<ApplicationType<T>> module()

  Returns the `module` element

  Specified by:
    `module` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `module`

### getModuleList

    public java.util.List<ModuleType<ApplicationType<T>>> getModuleList()

  Returns all `module` elements

  Specified by:
    `getModuleList` in interface `ApplicationType<T>`
  Returns:
    list of `module`

### removeAllSecurityRole

    public ApplicationType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Specified by:
    `removeAllSecurityRole` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### securityRole

    public SecurityRoleType<ApplicationType<T>> securityRole()

  Returns the `security-role` element

  Specified by:
    `securityRole` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    public java.util.List<SecurityRoleType<ApplicationType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Specified by:
    `getSecurityRoleList` in interface `ApplicationType<T>`
  Returns:
    list of `security-role`

### setLibraryDirectory

    public ApplicationType<T> setLibraryDirectory(java.lang.String libraryDirectory)

  If not already created, a new `library-directory` element with the given value will be created. Otherwise, the existing `library-directory` element will be updated with the given value.

  Specified by:
    `setLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### removeLibraryDirectory

    public ApplicationType<T> removeLibraryDirectory()

  Removes the `library-directory` element

  Specified by:
    `removeLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getLibraryDirectory

    public java.lang.String getLibraryDirectory()

  Returns the `library-directory` element

  Specified by:
    `getLibraryDirectory` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `library-directory`

### removeAllEnvEntry

    public ApplicationType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### envEntry

    public EnvEntryType<ApplicationType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<ApplicationType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `ApplicationType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public ApplicationType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### ejbRef

    public EjbRefType<ApplicationType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<ApplicationType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `ApplicationType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public ApplicationType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### ejbLocalRef

    public EjbLocalRefType<ApplicationType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<ApplicationType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `ApplicationType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public ApplicationType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### resourceRef

    public ResourceRefType<ApplicationType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<ApplicationType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `ApplicationType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public ApplicationType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### resourceEnvRef

    public ResourceEnvRefType<ApplicationType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<ApplicationType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `ApplicationType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public ApplicationType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### messageDestinationRef

    public MessageDestinationRefType<ApplicationType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<ApplicationType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `ApplicationType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public ApplicationType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### persistenceContextRef

    public PersistenceContextRefType<ApplicationType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<ApplicationType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `ApplicationType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public ApplicationType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### persistenceUnitRef

    public PersistenceUnitRefType<ApplicationType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<ApplicationType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `ApplicationType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllMessageDestination

    public ApplicationType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Specified by:
    `removeAllMessageDestination` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### messageDestination

    public MessageDestinationType<ApplicationType<T>> messageDestination()

  Returns the `message-destination` element

  Specified by:
    `messageDestination` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    public java.util.List<MessageDestinationType<ApplicationType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Specified by:
    `getMessageDestinationList` in interface `ApplicationType<T>`
  Returns:
    list of `message-destination`

### removeAllDataSource

    public ApplicationType<T> removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### dataSource

    public DataSourceType<ApplicationType<T>> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<ApplicationType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `ApplicationType<T>`
  Returns:
    list of `data-source`

### setVersion

    public ApplicationType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `ApplicationType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `ApplicationType`

### removeVersion

    public ApplicationType<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `ApplicationType<T>`
  Returns:
    the current instance of `ApplicationType`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `ApplicationType<T>`
  Returns:
    the node defined for the element `version`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD